/*
D'après http://www-sop.inria.fr/semir/personnel/Patrick.Itey/cours/rmi/pdf/rmi.pdf

3) javac EchoAppliServer.java
4) rmiregistry&
5) java EchoAppliServer hoteregistry
*/


import java.rmi.*;

public class EchoAppliServer {
   public static void main(String args[]) {

       try {  // Création de l'OD
              EchoImpl od = new EchoImpl();
	      // Enregistrement de l'OD dans RMI
	      Naming.rebind("/echo", od);
	      System.out.println("Enregistrement terminé ...");
       }
       catch(Exception e) {
	   System.out.println("L'enregistrement a échoué ...\n"+e);

       }
   }
}
