/*
D'après http://www-sop.inria.fr/semir/personnel/Patrick.Itey/cours/rmi/pdf/rmi.pdf

3) javac EchoClient.java
6) java EchoClient hote message
*/

import java.rmi.*;
import java.rmi.registry.*;
import java.net.*; // pour les url
public class EchoClient {
    public static void main(String args[]) {
	String registry="localhost";
	String msg = null;
	Echo od=null;

	// Traitement des arguments
	if ( args.length >= 2 ) {
	    registry = args[0];
	    msg = args[1];
	} else {
	    msg = args[0];
	}
	String url = "//"+registry + "/echo";
	System.out.println("URL: "+url);

	try{od = (Echo) Naming.lookup(url);}
	catch (NotBoundException e){}
	catch(MalformedURLException e){}
	catch(RemoteException e){}
	try{System.out.println("Résultat = "+od.echo(msg));}
	catch(RemoteException e){
	    System.out.println("Exception "+e);
	}
    }
}
